%global nautilus_extension_dir %{_datadir}/nautilus-python/extensions

Name: 		   winswitch
Summary: 	   Utility for controlling remote desktop sessions
URL: 		   http://winswitch.org/
Version:	   0.12.21
Release: 	   1%{?dist}
License: 	   GPLv3
Source:		   https://winswitch.org/src/%{name}-%{version}.src.tar.xz
BuildArch:         noarch

Requires:	   pygtk2
Requires:	   python-crypto
Requires:	   python-twisted
Requires:	   python-imaging
Requires:	   python-xlib
Requires:	   python-pyasn1
Requires:	   python-utmp
Requires:	   nautilus-python
Requires:	   dbus-python
Requires:	   dbus-x11
Requires:	   gnome-python2
Requires:	   gnome-python2-rsvg
Requires:	   xpra
Requires:	   nx-libs
Requires:	   rdesktop
Requires:	   openssh-clients
Requires:	   tigervnc
Requires:	   tigervnc-server >= 1.0.90
Requires:	   avahi
Requires:	   avahi-ui-tools
Requires:	   gstreamer
Requires:	   xloadimage
Requires:	   devilspie
Requires:	   ImageMagick
Requires:	   gnome-menus
Requires:	   xfreerdp

BuildRequires:	   python2-devel
BuildRequires:	   python-setuptools
BuildRequires:     desktop-file-utils

%description
Application to start and control remote GUI sessions via xpra, NX,
VNC, RDP or plain ssh X11 forwarding.  Winswitch can start, suspend,
resume and send supported sessions to other clients.


%prep
%setup -q

# Remove shebangs from py files
find winswitch -name \*.py -exec sed -i -e '1{\@^#!/usr/bin/env python@d}' '{}' \;

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --prefix /usr --skip-build --root %{buildroot}

# Move the nautilus python extension to the correct location
# https://projects-old.gnome.org/nautilus-python/documentation/html/nautilus-python-overview.html
mkdir -p %{buildroot}%{nautilus_extension_dir}
for file in %{buildroot}%{_prefix}/lib/nautilus/extensions-2.0/python/* ; do
    mv ${file} %{buildroot}%{nautilus_extension_dir}
done
rm -rf %{buildroot}%{_prefix}/lib/nautilus

# Check desktop file
desktop-file-validate %{buildroot}/%{_datadir}/applications/winswitch.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

/usr/bin/update-desktop-database &> /dev/null || :

if [ $1 -eq 0 ] ; then
  /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%files
%license COPYING
%{python2_sitelib}/winswitch
%{python2_sitelib}/winswitch*.egg-info
%{_bindir}/winswitch_*
%{_bindir}/wcw
%{_libexecdir}/winswitch
%{_sysconfdir}/winswitch
%{_datadir}/winswitch
%{_datadir}/Thunar
%{_datadir}/Vash
%{_datadir}/applications/winswitch.desktop
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/64x64/apps/*
%{_datadir}/icons/winswitch*
%{_datadir}/man/man1/*
%{_datadir}/mime/packages/winswitch.xml
%{nautilus_extension_dir}/nautilus_winswitch.*


%changelog
* Wed Jul 15 2015 Jonathan Underwood <jonathan.underwood@gmail.com> - 0.12.21-1
- Initial package

